﻿@model TooJaVile.Models.Album

@{
    ViewBag.Title = "Details";
}

@*<h2>Album</h2>*@
<h2>@Model.Name</h2>
<h3>@Model.Description</h3>
<h3>@Model.Created.Date.ToShortDateString() </h3>


<br />
<p>
    @Html.ActionLink("Muuda albumit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Kustuta album", "Delete", new { id = Model.Id }) |
    @Html.ActionLink("Tagasi albumite nimekirja", "Index")
</p>


@*Siia lisasime asjad, et näidata albumi detail vaates selle albumi pilte.*@
@*<h2>Albumi pildid</h2>*@

@*@Html.ActionLink("Create", "Create", "Photos", new { id = Model.Id }, null)*@

@using (Html.BeginForm("Create", "Photos", FormMethod.Post))
{
    <input type="hidden" name="ret" value="@Model.Id" />
    @Html.AntiForgeryToken()
    @Html.Action("Index", "Photos", new { id = Model.Id })
}






